GET /api/v1/sites/{slug}
GET
/api/v1/sites/{slug}Authorization
AuthorizationBearer token (Zawqi Agent Token) · headerrequiredZawqi Agent Token. Send it as a Bearer token in the Authorization header.
Path parameters
slugstringrequiredResponses
200Success
idstringrequiredslugstringrequiredurlstringrequiredsiteNamestringrequiredindustrystring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anypublishedbooleanrequiredfullPageScreenshotUrlstring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anyrenderedHtmlUrlstring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anyhomepageMarkdownUrlstring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anylogoUrlstring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anylogoMetadataanyrequiredShow propertiesHide properties
Any of:
any
anyany
anyopenGraphUrlstring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anyopenGraphMetadataanyrequiredShow propertiesHide properties
Any of:
any
anyany
anypricingMarkdownUrlstring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anybackersobject[]requiredShow propertiesHide properties
Array of
objectnamestringrequiredwebsitestringrequiredrelationshipstringrequiredAllowed:
backed-byaccelerated-bycreatedAtstringrequiredupdatedAtstringrequired401Unauthorized
_tagstringrequiredAllowed:
Unauthorized402LifetimeAccessRequired
_tagstringrequiredAllowed:
LifetimeAccessRequiredmessagestringrequired404NotFound
_tagstringrequiredAllowed:
NotFound429FreeResearchWeeklyLimitReached
_tagstringrequiredAllowed:
FreeResearchWeeklyLimitReachedmessagestringrequiredcallsLimitnumber | stringrequiredShow propertiesHide properties
Any of:
number
numberstring
stringresetsAtstringrequiredRequest
curl -X GET "https://pr-223.zawqi.app/api/v1/sites/string" \
-H "Authorization: Bearer YOUR_TOKEN"const response = await fetch("https://pr-223.zawqi.app/api/v1/sites/string", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
}
});Response
{
"id": "string",
"slug": "string",
"url": "string",
"siteName": "string",
"industry": "ai-ml",
"published": true,
"fullPageScreenshotUrl": "string",
"renderedHtmlUrl": "string",
"homepageMarkdownUrl": "string",
"logoUrl": "string",
"logoMetadata": "string",
"openGraphUrl": "string",
"openGraphMetadata": "string",
"pricingMarkdownUrl": "string",
"backers": [
{
"name": "string",
"website": "string",
"relationship": "backed-by"
}
],
"createdAt": "string",
"updatedAt": "string"
}{
"_tag": "Unauthorized"
}{
"_tag": "LifetimeAccessRequired",
"message": "string"
}{
"_tag": "NotFound"
}{
"_tag": "FreeResearchWeeklyLimitReached",
"message": "string",
"callsLimit": 0,
"resetsAt": "string"
}